# Interface methods for submodule: ExtractImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import InPlaceImageFilterProxy as _InPlaceImageFilterProxy


# Interface methods for class: ExtractImageFilter
class ExtractImageFilterProxy(_InPlaceImageFilterProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def SetDirectionCollapseToStrategy(self, choosenStrategy) -> None:
		""""""
		...

	def GetDirectionCollapseToStrategy(self):
		""""""
		...

	def SetDirectionCollapseToGuess(self) -> None:
		""""""
		...

	def SetDirectionCollapseToIdentity(self) -> None:
		""""""
		...

	def SetDirectionCollapseToSubmatrix(self) -> None:
		""""""
		...

	def SetExtractionRegion(self, extractRegion: ImageRegion) -> None:
		""""""
		...

	def GetExtractionRegion(self) -> ImageRegion:
		""""""
		...

